<?xml version="1.0"?> <!-- -*- Mode: HTML -*- -->

<!--
   - The contents of this file are subject to the Mozilla Public
   - License Version 1.1 (the "License"); you may not use this file
   - except in compliance with the License. You may obtain a copy of
   - the License at http://www.mozilla.org/MPL/
    
   - Software distributed under the License is distributed on an "AS
   - IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
   - implied. See the License for the specific language governing
   - rights and limitations under the License.
    
   - The Original Code is mozilla.org code.
   
   - The Initial Developer of the Original Code is Netscape
   - Communications Corporation. Portions created by Netscape are
   - Copyright (C) 2000 Netscape Communications Corporation.
   - All Rights Reserved.
   
   - Contributor(s): 
   -  Stuart Parmenter <pavlov@netscape.com>
   -  Brian Ryner <bryner@netscape.com>
   -  Jan Varga <varga@utcru.sk>
   -  Peter Annema <disttsc@bart.nl>
modified by massey to have only the cancel button enabled
   -->

<?xml-stylesheet href="chrome://global/skin/filepicker.css" type="text/css"?>

<!DOCTYPE window SYSTEM "chrome://global/locale/filepicker.dtd" >

<dialog id="main-window"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:nc="http://home.netscape.com/NC-rdf#"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
  onload="filepickerLoad(), window.close();"
  width="426" height="300"
  ondialogaccept="return selectOnOk();"
  ondialogcancel="return onCancel();"
  persist="screenX screenY">
<!-- replaced 
ondialogaccept="return selectOnOK();" 
onload="filepickerLoad();"
-->
<stringbundle id="bundle_filepicker" src="chrome://global/locale/filepicker.properties"/>
<script type="application/x-javascript" src="chrome://global/content/filepicker.js"/>

<hbox align="center">
  <label value="&lookInMenuList.label;"/>
  <menulist id="lookInMenuList" flex="1" oncommand="onDirectoryChanged(event.target);" crop="start" disabled="true">
    <menupopup id="lookInMenu" disabled="true"/>
  </menulist>
  <button id="folderUpButton" class="up-button" tooltiptext="&folderUp.tooltiptext;" oncommand="goUp();" disabled="true"/>
  <button id="homeButton" class="home-button" tooltiptext="&folderHome.tooltiptext;" oncommand="goHome();" disabled="true"/>
</hbox>

<hbox flex="1">
  <deck id="errorShower" flex="1" disabled="true">
    <tree id="directoryTree" flex="1" seltype="single"
              onclick="onClick(event);"
              ondblclick="onDblClick(event);"
              onkeypress="onKeypress(event);"
              onfocus="onTreeFocus(event);"
              onselect="onSelect(event);" disabled="true">
      <treecols disabled="true">
        <treecol id="FilenameColumn" label="&name.label;" flex="1"
                     class="sortDirectionIndicator" disabled="true"/>
        <splitter class="tree-splitter"/>
        <treecol id="FileSizeColumn" label="&size.label;" flex="1"
                     class="sortDirectionIndicator" disabled="true"/>
        <splitter class="tree-splitter"/>
        <treecol id="LastModifiedColumn" label="&lastModified.label;" flex="1"
                     class="sortDirectionIndicator" disabled="true"/>
      </treecols>
      <treechildren/>
    </tree>
    <label>&noPermissionError.label;</label>
  </deck>
</hbox>

<grid style="margin-top: 5px" disabled="true">
  <columns>
    <column/>
    <column flex="1"/>
  </columns>

  <rows>
    <row align="center">
      <label value="&textInput.label;"/>
      <textbox id="textInput" flex="1" oninput="doEnabling()" 
               onfocus="onTextFieldFocus();" disabled="true"/>
    </row>
    <row id="filterBox" hidden="true" align="center">
      <label value="&filterMenuList.label;"/>
      <menulist id="filterMenuList" flex="1" oncommand="onFilterChanged(event.target);" disabled="true"/>
    </row>
  </rows>
</grid>
<hbox class="dialog-button-box" align="center">
  <checkbox label="&showHiddenFiles.label;" oncommand="toggleShowHidden();"
            flex="1" align="left" disabled="true"/>
<!--  <button dlgtype="accept" class="dialog-button"/> -->
  <button dlgtype="cancel" class="dialog-button"/>
  <button dlgtype="cancel" class="dialog-button"/>
</hbox>
</dialog>
